Skip to main content
GET
Begin the OAuth handshake for an External MCP Connection

Authorizations

x-api-key
string
header
required

Organization API key passed as the x-api-key header. The raw key is the header value; do not prefix it with Bearer.

Path Parameters

connectionId
string<typeid>
required

Den TypeID with 'emc_' prefix and a 26-character base32 suffix.

Required string length: 30

Response

Authorize URL, or already connected.

status
enum<string>
required
Available options:
connected,
needs_auth
authorizeUrl
string | null
required